[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
bug#14760: GNU Automake 1.14 testsuite failures on -current NetBSD/amd64
From: |
Stefano Lattarini |
Subject: |
bug#14760: GNU Automake 1.14 testsuite failures on -current NetBSD/amd64 |
Date: |
Sun, 21 Jul 2013 23:50:47 +0100 |
tags 14760 + moreinfo
thanks
On 07/01/2013 04:05 PM, Nicolas Joly wrote:
>
> Hi,
>
Hi Nicolas, sorry for the shameful delay.
> Just got 2 failures running Automake 1.14 testsuite on -current
> NetBSD/amd64.
>
> [SNIP]
>
> FAIL: t/silent-custom
>
Does the patch below help with this failure?
(As for the other failure, I'll take a look later -- might be
few minutes, might be few days).
Thanks,
Stefano
---- 8< ---- 8< ---- 8< ---- 8< ---- 8< ---- 8< ---- 8< ----
>From ac0e09477ca1614892799c91c327fff0ba83ad19 Mon Sep 17 00:00:00 2001
Message-Id: <address@hidden>
From: Stefano Lattarini <address@hidden>
Date: Sun, 7 Jul 2013 11:37:37 +0100
Subject: [PATCH] tests: fix a spurious failure on NetBSD-current
Reported in automake bug#14760.
* tests/silent-custom.sh: Be prepared to handle creative
quoting in the output of the shell run for the make recipes
when the shell traces are active ("set -x").
Signed-off-by: Stefano Lattarini <address@hidden>
---
t/silent-custom.sh | 14 ++++++++++++--
1 file changed, 12 insertions(+), 2 deletions(-)
diff --git a/t/silent-custom.sh b/t/silent-custom.sh
index 7ce3ffc..b00e388 100644
--- a/t/silent-custom.sh
+++ b/t/silent-custom.sh
@@ -80,8 +80,18 @@ do_check ()
else
$FGREP 'GEN ' output && exit 1
$FGREP 'cp ./foo.in foo' output
- $FGREP "rm -f sub/0.h sub/1.h sub/2.h" output
- $FGREP "generate-header --flags sub/0.h sub/1.h sub/2.h" output
+ # Be prepared to handle "creative quoting" in the shell traces.
+ # See automake bug#14760.
+ ok=false
+ for q in '' \' \"; do
+ files="${q}sub/0.h${q} ${q}sub/1.h${q} ${q}sub/2.h${q}"
+ $FGREP "rm -f $files" output || continue
+ $FGREP "generate-header --flags $files" output || continue
+ ok=:
+ break
+ done
+ $ok || exit 1
+ unset ok
fi
}
--
1.8.3.1.605.g85318f5